<!doctype html>
<html>
<head>
    <title>Tor at the Heart: The Tor Project | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor at the Heart: The Tor Project | Tor Project">
    <meta property="og:description" content="Throughout the month of December, we&#39;ve highlighted a few of our fellow travelers on the road to...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-heart-tor-project/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor at the Heart: The Tor Project
      </h1>
    <p class="meta">by ssteele | December 31, 2016</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Throughout the month of December, we've highlighted a few of our fellow travelers on the road to Internet freedom in a series of blog posts titled "<a href="https://blog.torproject.org/category/tags/heart-internet-freedom" rel="nofollow">Tor at the Heart</a>." We wanted to show some of the many other projects out there and their connection to us. Just like a heart, Tor helps to fortify these projects as they provide Internet freedom around the world.</p>

<p>This past year we saw very dangerous trends of Internet censorship growing around the world. Activists in Brazil, China, Greece, India, Indonesia, Iran, Russia, Saudi Arabia, Sudan, and Turkey all experienced serious censorship events. The entire African continent saw a <a href="http://afkinsider.com/129544/banning-social-media-is-becoming-a-trend-in-africa-so-whos-next/" rel="nofollow">spike of censorship events</a>, especially in Uganda, Chad, Ethiopia, Zimbabwe, Congo and Burundi.</p>

<p>Technological tools like Tor are often the only way people within those countries can communicate to the outside world.</p>

<p>Tor is also important for those of us lucky enough to live in countries without major censorship events. Journalists use Tor to communicate more safely with whistleblowers and dissidents. Everyday people use Tor to keep their Internet activities concealed from advertisers, ISPs, and web sites. Tor is important for anyone who doesn't want their browsing habits linked to them.</p>

<p>2016 has been a very busy year at the Tor Project. We created our own UX team to improve our tools usability, we <a href="https://blog.torproject.org/blog/tor-browser-65a5-released" rel="nofollow">fixed zero-days in less than 12 hours</a>, we have started to apply very strong <a href="https://blog.torproject.org/blog/q-and-yawning-angel" rel="nofollow">sandboxing to Tor Browser</a>, we kicked off the <a href="https://blog.torproject.org/blog/mission-montreal-building-next-generation-onion-services" rel="nofollow">next generation of onion services</a> project, and we have done many other important updates on our network and applications.</p>

<p>And 2017 is shaping up to be even more intense. We are working to deploy new features, including better mobile connectivity and better visualizations of our data so that others can easily explore and learn from them. We are working to improve the user interface on our website and various apps. And we’re working on better ways to safeguard our users, including sandboxing Tor at the application level and investigating quantum computing.</p>

<p>As we wind down our 2016 end-of-year fundraising campaign, won't you take a minute to contribute a financial donation? Giving is easy, and you'll get the warm glow of knowing that you've done your small part to help someone in an oppressive part of the world be able to get her story out to the rest of us. We'll even throw in a t-shirt and/or other swag, if you choose, so you can show the world how cool you are and that you care about digital freedom.</p>

<p>To donate:</p>

<p><a href="https://torproject.org/donate/donate-blog31" rel="nofollow">https://torproject.org/donate/donate-blog31</a></p>

<p>Thanks for your help.  Here's wishing you and yours a healthy, happy 2017!</p>

    </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-229512"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229512" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 01, 2017</p>
    </div>
    <a href="#comment-229512">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229512" class="permalink" rel="bookmark">i cannot send money so i</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i cannot send money so i wonder why you have not posted a list of shop (station e.g) where i could buy something _ Have you supporters or contact in an international area like an airport ?<br />
you should improve your blog : sometimes i do not understand why so many people are off-topic or take as reference a person that they do not know , newspapers where there do not work or subject which do not concern them.<br />
happy new year 2017 !</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-229560"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229560" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 01, 2017</p>
    </div>
    <a href="#comment-229560">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229560" class="permalink" rel="bookmark">Tor Now blocked in saudi</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor Now blocked in saudi Arabia and Turkey ..<br />
 I have tried all ways to provided bridges but it doesn't work</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-229618"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229618" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 02, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-229560" class="permalink" rel="bookmark">Tor Now blocked in saudi</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-229618">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229618" class="permalink" rel="bookmark">Use obfs4 or meek-amazon or</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Use obfs4 or meek-amazon or meek-azure (these last two ones will work for you without doubt as Saudi Arabia or Turkey would have to block all Amazon and Azure cloud for them to be blocked)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-229704"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229704" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 02, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-229560" class="permalink" rel="bookmark">Tor Now blocked in saudi</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-229704">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229704" class="permalink" rel="bookmark">Did you try pluggable</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Did you try pluggable transports?<br />
<a href="https://blog.torproject.org/blog/tor-heart-bridges-and-pluggable-transports" rel="nofollow">https://blog.torproject.org/blog/tor-heart-bridges-and-pluggable-transp…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-230045"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230045" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 05, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-229560" class="permalink" rel="bookmark">Tor Now blocked in saudi</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230045">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230045" class="permalink" rel="bookmark">But Indian government not</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>But Indian government not banned this website why any idea about this u know anonymous</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-229573"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229573" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 01, 2017</p>
    </div>
    <a href="#comment-229573">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229573" class="permalink" rel="bookmark">Happy 2017 to all! Wish you</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Happy 2017 to all! Wish you a happy and successful new year! =)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-229620"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229620" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 02, 2017</p>
    </div>
    <a href="#comment-229620">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229620" class="permalink" rel="bookmark">I have recently written an</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have recently written an article on Tor Webbrowser and its function and who is it for?<br />
 Link : <a href="http://themazntimes.in/2017/01/02/tor-web-browser/" rel="nofollow">http://themazntimes.in/2017/01/02/tor-web-browser/</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-229671"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229671" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 02, 2017</p>
    </div>
    <a href="#comment-229671">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229671" class="permalink" rel="bookmark">I&#039;ve noticed from time-time</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I've noticed from time-time I need to kill/end the ongoing tor binary and reboot it to continue my Tor Hidden Service applications connection from time to time, perhaps after 3-4 days of continuous operation. I don't see a tor 'restart' command, there must be some automated function without a bunch of scripted lines I can do cron this to automatically carry this out at least every 12-24hrs on the multiple tor binarys that I have actively running to help tor keep functional and active.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-229682"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229682" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 02, 2017</p>
    </div>
    <a href="#comment-229682">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229682" class="permalink" rel="bookmark">I really enjoyed the Tor at</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I really enjoyed the Tor at the Heart series. I learned about a lot of interesting projects and tools I wasn't previously aware of. I also posted comments and received replies from a lot of Tor people, including some I'd never heard from before, and I've been following the blog for a long time now. As a Tor user for probably 8 years or so, that's really important to me.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230182"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230182" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 07, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-229682" class="permalink" rel="bookmark">I really enjoyed the Tor at</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230182">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230182" class="permalink" rel="bookmark">Me too, Tor at the Heart</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Me too, Tor at the Heart caused me to give Whonix a try(never tried it before), after that I set up my own hidden services. MUD and webserver(lighttpd following an easy to follow Whonix tutorial)</p>
<p>I'm going to donate(among others) to torproject.org</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-229717"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229717" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 02, 2017</p>
    </div>
    <a href="#comment-229717">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229717" class="permalink" rel="bookmark">Thanks for all your work!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks for all your work!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-229750"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229750" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 02, 2017</p>
    </div>
    <a href="#comment-229750">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229750" class="permalink" rel="bookmark">@ Shari:
The FBI lost no</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>@ Shari:</p>
<p>The FBI lost no time in accusing the Tor community of involvement in the US election hacking, and I urge the Tor media team to reach out to reporters to rebut their claims.</p>
<p>"Grizzly Steppe" is the code name bestowed by DHS/FBI/USCERT upon the two alleged groups of RU-government-sponsored hackers which infiltrated the DNC and DCCC networks.  Last Thursday DHS/FBI issued a "Joint Activity Report" in which they allegedly lay out the "evidence" for the attribution of the election hacking to the Russian government.  As dozens of cybersecurity experts were quick to point out, the claims turn out to be long on unsupported allegations and short on credible evidence.</p>
<p>At</p>
<p><a href="https://www.us-cert.gov/security-publications/GRIZZLY-STEPPE-Russian-Malicious-Cyber-Activity" rel="nofollow">https://www.us-cert.gov/security-publications/GRIZZLY-STEPPE-Russian-Ma…</a></p>
<p>you can find a csv file which lists various alleged "indicators" of "Grizzly Steppe" activity, including 877 IP addresses.  Of these, 219 correspond to some of the more than 7200 currently active Tor nodes.</p>
<p>The accused nodes with bandwidth &gt; 20000 KB/sec are:</p>
<p>      BW      Nickname             IP                     FQDN<br />
2  52828       xshells 178.217.187.39     tor-exit.xshells.net<br />
9  36793  csailmitexit 128.52.128.105            csail.mit.edu<br />
12 33462          apx2  185.38.14.171               r2.apx.pub<br />
24 26352          apx1  185.38.14.215               r1.apx.pub<br />
25 26189       tollana 85.248.227.164              248.227.164<br />
26 25690          apx3  37.220.35.202               r3.apx.pub<br />
27 24949       Unnamed 46.105.100.149      secreto21.idfnv.net<br />
32 24091   MilesPrower 62.210.129.246      tor.openinternet.io<br />
34 24002         DFRI1  171.25.193.77 tor-exit1-readme.dfri.se<br />
45 21850     redteam01 209.222.77.220    tor-relay.redteam.net<br />
46 21784           ori 85.248.227.163                   NA<br />
50 21195 PhantomTrain4  65.19.167.131                       NA<br />
55 20593       kramse2  185.129.62.63       tor02.zencurity.dk<br />
57 20220         DFRI4  171.25.193.78 tor-exit4-readme.dfri.se</p>
<p>                         Geoloc           Version      OS<br />
2                          //PL           0.2.7.6   Linux<br />
9    Cambridge/Massachusetts/US           0.2.8.9 FreeBSD<br />
12                         //NL 0.3.0.1-alpha-dev   Linux<br />
24                         //NL 0.3.0.1-alpha-dev   Linux<br />
25        Stupava/Bratislava/SK           0.2.9.8   Linux<br />
26                         //NL 0.3.0.1-alpha-dev   Linux<br />
27                         //FR           0.2.7.6   Linux<br />
32                         //FR           0.2.9.8   Linux<br />
34                         //SE           0.2.7.6 FreeBSD<br />
45 Philadelphia/Pennsylvania/US           0.2.8.9   Linux<br />
46        Stupava/Bratislava/SK           0.2.9.8   Linux<br />
50        Fremont/California/US           0.2.7.6   Linux<br />
55                         //DK           0.2.8.9 FreeBSD<br />
57                         //SE           0.2.7.6 FreeBSD</p>
<p>In the second line you can see the CSAIl node, and in the first line, "X shells" happens to be the code name given by Microsoft to an alleged group of RU criminal hackers.</p>
<p>Another node named by DHS/FBI as supposedly involved in "Grizzly Steppe" is:</p>
<p>       BW       Nickname            IP                          FQDN Geoloc<br />
181 10803 edwardsnowden1 109.163.234.8 edwardsnowden1.torservers.net   //RO</p>
<p>    Version    OS<br />
181 0.2.9.8 Linux</p>
<p>To be clear, I don't believe a word of it, and neither should anyone else.  That is, I don't doubt that RU may have been involved, but I very much doubt that CSAIl and the operators of the other named nodes were involved.</p>
<p>The fact that DHS/FBI listed more than 200 Tor nodes without any note that they are Tor nodes or any discussion of why that is significant is a pretty good indication of the completely useless nature of their report.</p>
<p>For anyone who has no idea what I am talking about, some background:</p>
<p><a href="https://www.bloomberg.com/news/articles/2016-12-30/russia-s-grizzly-steppe-cyberattacks-started-simply-u-s-says" rel="nofollow">https://www.bloomberg.com/news/articles/2016-12-30/russia-s-grizzly-ste…</a><br />
Russia ‘Grizzly Steppe’ Hacking Started Simply, U.S. Says<br />
Chris Strohm<br />
29 Dec 2016</p>
<p>&gt; The attack against U.S. democracy began in the summer of 2015 with a simple trick: Hackers working for Russia’s civilian intelligence service sent e-mails with hidden malware to more than 1,000 people working for the American government and political groups.</p>
<p><a href="http://fortune.com/2016/12/31/russian-hacking-grizzly-steppe/" rel="nofollow">http://fortune.com/2016/12/31/russian-hacking-grizzly-steppe/</a><br />
Grizzly Misstep: Security Experts Call Russia Hacking Report “Poorly Done,” “Fatally Flawed”<br />
David Z. Morris<br />
31 Dec 2016</p>
<p>&gt; On Thursday, the Department of Homeland Security and the FBI released a joint report about Russian cyberattacks, titled “Grizzly Steppe.” The report had been expected to lay out more details about intelligence agency’s claims that the Russian government was directly linked to hacks on the DNC and other organizations, but security experts have expressed broad disappointment with the report.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230036"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230036" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 05, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-229750" class="permalink" rel="bookmark">@ Shari:
The FBI lost no</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230036">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230036" class="permalink" rel="bookmark">It turns out that very</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It turns out that very similar conclusions were independently drawn by other (and more authoritative) sources:</p>
<p><a href="https://theintercept.com/2017/01/04/the-u-s-government-thinks-thousands-of-russian-hackers-are-reading-my-blog-they-arent/" rel="nofollow">https://theintercept.com/2017/01/04/the-u-s-government-thinks-thousands…</a><br />
The U.S. Government Thinks Thousands of Russian Hackers May Be Reading My Blog. They Aren’t.<br />
Micah Lee<br />
4 Jan 2017</p>
<p>&gt; After the U.S. government published a report on Russia’s cyber attacks against the U.S. election system, and included a list of computers that were allegedly used by Russian hackers, I became curious if any of these hackers had visited my personal blog. The U.S. report, which boasted of including “technical details regarding the tools and infrastructure used by Russian civilian and military intelligence services,” came with a list of 876 suspicious IP addresses used by the hackers, and these addresses were the clues I needed to, in the end, understand a gaping weakness in the report.</p>
<p>medium.com<br />
Russian Hackers, Elections, and Data-Driven Analytics<br />
darkcubed</p>
<p>&gt; Two days before New Years, something interesting happened in the world of cyber security. The Department of Homeland Security released a report on hacking activities by Russian Intelligence Services related to activities against the U.S. Government. The report was somewhat interesting, however DHS also released a set of indicators in a .csv file with 956 lines of data. As the CEO of a new cyber security startup focused on using data in smarter, more interesting ways, this data tugged and pulled at me in a way that I did not expect. Over the next two days, in between (and through) family events, football games, dogs grabbing food off of the counters, I sat on a stool in my in-law’s kitchen and tuned out the world. There was something about this analysis that I could not ignore.</p>
<p>Among the 876 IPs listed in the faulty JAR (Joint Activity Report):  various entities found</p>
<p>DarkCubed: 211 Tor nodes<br />
Post above: 219 Tor nodes<br />
Micah Lee: 211 Tor nodes</p>
<p>The minor discrepancies probably come from the fact that there are several distinct lists of all currently active Tor nodes, but the best procedure would be to use a list of all IPs used by Tor nodes during the past year straight from TP.</p>
<p>Again, just to be clear: I don't doubt that RU intelligence has planted APTs deep inside all manner of US networks, including those used by politicians, or that FSB/GRU frequently leaks damaging information about government officials in hopes of influencing elections or destabilizing "adversary nations".  They would only be following the lead of USIC: the very first CIA mission involved bribing Italian politicians and rigging elections to prevent the election of Communists (this happened even before CIA was officially created).  By the 1980s, CIA had spent hundreds of millions influencing elections in that one country (Italy) alone.  Its other election influencing exploits including founding the leading political party in Japan, and preventing certain candidates from winning popular landslides in countries from Malaysia to Chile over much of the past six decades.  So Putin is not wrong to wryly declare that USG is in no position to complain about another country successfully altering the outcome of US elections.</p>
<p>More links to experts who dismiss the amateurish JAR "evidence", which casts more doubt upon the ability of USIC to provide useful intelligence analysis:</p>
<p><a href="https://krebsonsecurity.com/2017/01/the-download-on-the-dnc-hack/#more-37410" rel="nofollow">https://krebsonsecurity.com/2017/01/the-download-on-the-dnc-hack/#more-…</a><br />
The Download on the DNC Hack<br />
Brian Krebs<br />
3 Jan 2017</p>
<p>&gt; ...the only remarkable thing about the hacking of the DNC is that the people responsible for protecting those systems somehow didn’t expect to be constantly targeted with email-based malware attacks. Lest anyone think perhaps the Republicans were better at anticipating such attacks, the FBI notified the Illinois Republican Party in June 2016 that some of its email accounts may have been hacked by the same group. The New York Times has reported that Russian hackers also broke into the DNC’s GOP counterpart — the Republican National Committee — but chose to release documents only on the Democrats.</p>
<p><a href="http://arstechnica.com/security/2016/12/did-russia-tamper-with-the-2016-election-bitter-debate-likely-to-rage-on/" rel="nofollow">http://arstechnica.com/security/2016/12/did-russia-tamper-with-the-2016…</a><br />
White House fails to make case that Russian hackers tampered with election<br />
US issued JAR billed itself as an indictment that would prove Russian involvement.<br />
Dan Goodin<br />
30 Dec 2016</p>
<p>&gt; Talk about disappointments. The US government's much-anticipated analysis of Russian-sponsored hacking operations provides almost none of the promised evidence linking them to breaches that the Obama administration claims were orchestrated in an attempt to interfere with the 2016 presidential election.</p>
<p><a href="http://www.politico.com/story/2017/01/russia-hacking-cyberattacks-fake-233156" rel="nofollow">http://www.politico.com/story/2017/01/russia-hacking-cyberattacks-fake-…</a><br />
Shaky accusations hamper cyber case against Russia<br />
The Obama administration’s efforts to press its election-hacking accusations against Russia could be undermined by a flurry of unfounded cyber charges against Moscow.<br />
Cory Bennett and Eric Geller<br />
4 Jan 2017</p>
<p>&gt; The hyped — and quickly deflated — news reports alleging Kremlin-backed hacking of the U.S. electric grid via a Vermont power company have stoked fears among cyber specialists that a flurry of false accusations against Russia will follow, as U.S. companies respond to the administration's request that they search for possible Russian-linked cyberattacks on their systems. And those easily debunked tales could sow doubts about all hacking allegations against Russia — undermining the administration's arguments that it has solid evidence Vladimir Putin's regime used digital mischief to interfere in the 2016 presidential election.</p>
<p>Another widely reported story which turns out to have been very misleading was the claim that "known RU malware" had been found to be infecting Burlington Electric's power delivery grid; in fact, someone who works there found probably not-state-sponsored malware on a work laptop (not a SCADA device) and panicked:</p>
<p><a href="http://thehill.com/policy/cybersecurity/312466-russia-did-not-hack-vermont-electric-utility-report" rel="nofollow">http://thehill.com/policy/cybersecurity/312466-russia-did-not-hack-verm…</a><br />
Russia did not hack Vermont electric utility: report<br />
Joe Uchill<br />
3 Jan 2017</p>
<p>&gt; Russian hackers do not appear to be behind an attack on a Vermont electric utility, reports the Washington Post, citing officials close to the investigation of a potential activity first reported by the Post last week.  The report at least temporarily puts to bed a news story that rankled many in the security community — including the most fervent believers that the Democratic National Committee was hacked by the Russians — and underlines problems many have with a joint Homeland Security, Director of National Intelligence and FBI report released last week. </p>
<p>One intriguing story late last year which had a similar flavor: the Secretary of State of one US state notice a port scan of her networks from a purported DHS address and immediately publicly accused the USG of trying to hack the state election system.  This is intriguing because it shows how close the USA is of doing a USSR and simply dissolving itself in mutual fear and loathing, and also because it shows just how clueless most government officials really are.</p>
<p>Another important point about the debunking of the Burlington Electric story: in contrast to the Vermont power grid, it is a well documented fact that RU state-sponsored hackers have indeed hacked into the Ukraine power grid and actually turned off power to large areas of cities such as Kiev.  The RU hackers no doubt exploited the fact that major Russian cities (such as Moscow) have bought "smart meter" systems from Landis+Gyr, which also built the Kiev system.  So they have access to the same infrastructure and to the user manuals.  Many large US cities have also bought "smart meter" systems from Landis+Gyr, so it would be foolish to doubt that RU state-sponsored hackers have the capability to damage the US power delivery grid, because they have already demonstrated that capability in very similar systems overseas.</p>
<p>We can expect that many more explosive allegations about alleged RU (or CN or IR or KP) hacking into US networks--- heavily slanted to suit various political agendas--- will appear in the coming year.  Wary Tor users will need to interpret these carefully, because many of them will no doubt be mangled and misleading, yet may contain a kernel of truth which we would ignore at our peril.  Further, we will need to stand together and firmly oppose attempts by our political enemies inside the USG to promote the view that "Tor is used only by enemies of the USA", which is patently absurd.  Quite the contrary: no entity needs to adopt onion services on a massive scale more than the USG, in order to better protect the security/privacy of data in motion and data at rest.  Making this case to someone like John McCain might be difficult, but we need to try.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-230037"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230037" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 05, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-229750" class="permalink" rel="bookmark">@ Shari:
The FBI lost no</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230037">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230037" class="permalink" rel="bookmark">&gt; &quot;X shells&quot; happens to be</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; "X shells" happens to be the code name given by Microsoft to an alleged group of RU criminal hackers.</p>
<p>Further, "X-team" is mentioned in the faulty JAR as a synonym for "Grizzly Steppe".</p>
<p>More evidence of USIC amateurism, I suppose.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-230038"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230038" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 05, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-229750" class="permalink" rel="bookmark">@ Shari:
The FBI lost no</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230038">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230038" class="permalink" rel="bookmark">Correction: for &quot;Joint</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Correction: for "Joint Activity Report" please read "Joint Analysis Report".</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-230522"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230522" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-229750" class="permalink" rel="bookmark">@ Shari:
The FBI lost no</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230522">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230522" class="permalink" rel="bookmark">Can anyone prove that</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can anyone prove that traffic _after_ some router exists _before_ that router? Or it is just injected by some agency on purpose!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-229756"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229756" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 02, 2017</p>
    </div>
    <a href="#comment-229756">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229756" class="permalink" rel="bookmark">Hi,
can someone explain to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi,</p>
<p>can someone explain to me how i can install an the add on "image picker" when using Tor Browser Bundle?</p>
<p>I want to install an image downloader add on to load legal pics. I know add-ons can compromise safety and reveal the real ip, but the risk isnt nearly as high as with plugins, as i read. Should the add-on compromise my safety, im downloading legal stuff anyway. I just feel more comfortable with the tor browser surfing on certain topics, also regarding fingerprinting etc. </p>
<p>The thing is, Tor Browser Bundle doesnt allow me to install the add-on, because Tor Browser "cant modify the needed file" when trying to install it from the add-on page. Who know how to solve that problem?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-229815"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-229815" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 03, 2017</p>
    </div>
    <a href="#comment-229815">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-229815" class="permalink" rel="bookmark">Why is Tor Project not</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why is Tor Project not represented at major conferences which deal with privacy and "anonymized" data sharing in one of the most important areas where these problems arise?</p>
<p>For example:</p>
<p><a href="http://www.healthcareitnews.com/news/guide-cybersecurity-himss17" rel="nofollow">http://www.healthcareitnews.com/news/guide-cybersecurity-himss17</a><br />
Everything attendees need to know about cybersecurity events at the 2017 HIMSS Annual Conference &amp; Exhibition, which includes a cybersecurity command center, educational sessions and an all-day forum.<br />
Jessica Davis<br />
30 Dec 2016</p>
<p>&gt; Cybersecurity is a pressing issue facing healthcare organizations, as hackers get smarter and continue to expand their attacks on the industry. Most healthcare leaders are keeping patient privacy top of mind, and are looking for ways to improve their security posture.</p>
<p>The keynote speaker this year is former NSA lawyer Joel Brenner.  I hope that next year the keynote speaker should be Shari or Roger.</p>
<p>To mention just three examples of problems I think Tor could help solve:</p>
<p>o it is currently standard practice for health providers, health plans and federal agencies to share individual personal medical records via unencrypted fax transmissions, but Tahoe-LAFS  could be a better way,</p>
<p>o OnionShare might be well suited for sharing of such files in an ad hoc manner as the need arises, for example when a patient requests a copy of his/her own medical record,</p>
<p>o HHS is pushing providers and plans to offer third party "researchers" easy access to the "anonymized" personal medical records of all patients, or at least all in some large group; here too Onionshare could perhaps help.</p>
<p>In the recent "Joint Action Report" by DHS and ODNI on the so-called "Grizzly Steppe" alleged RU-government-sponsored hacking campaigns (at least two distinct campaigns) accuses than 200 currently active Tor nodes including the CSAIL node-- which is ironic, considering that Joel Brenner is currently an MIT adjunct--- as being involved in "Grizzly Steppe" cyberespionage.</p>
<p>Currently, it seems that USG "cybersecurity experts" are promoting the view that Tor is a big part the secure/anonymous data sharing problems facing the enormous healthcare industry, when Tor Project should be explaining that Tor could be part of the solution.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-230057"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230057" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 05, 2017</p>
    </div>
    <a href="#comment-230057">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230057" class="permalink" rel="bookmark">Why no state of the onion</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why no state of the onion this year?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230073"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230073" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">January 05, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230057" class="permalink" rel="bookmark">Why no state of the onion</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230073">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230073" class="permalink" rel="bookmark">See the same thread</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>See the same thread at<br />
<a href="https://blog.torproject.org/blog/tor-heart-firefox#comment-229373" rel="nofollow">https://blog.torproject.org/blog/tor-heart-firefox#comment-229373</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-230221"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230221" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 07, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230057" class="permalink" rel="bookmark">Why no state of the onion</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230221">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230221" class="permalink" rel="bookmark">I think it got also an</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I think it got also an answer on the tor-talk mailing list:</p>
<p><cite>Sebastian Hahn mail at sebastianhahn.net<br />
Tue Dec 20 13:40:53 UTC 2016<br />
<cite><br />
Hi,<br />
&gt; On 20 Dec 2016, at 14:37, fatal  wrote:<br />
&gt; an early version of the fahrplan for 33c3 is released¹ (btw. also the<br />
&gt; 33c3 app on f-droid is already available).<br />
&gt;<br />
&gt; I couldn't find any talks from the tor-project yet, but maybe I've<br />
&gt; overlooked them? Will there be any?<br />
&gt;<br />
&gt; And will there be a tor relay operators meetup?<br />
&gt;<br />
&gt; Thanks<br />
&gt;<br />
&gt; f.<br />
&gt;<br />
&gt; ¹ <a href="https://fahrplan.events.ccc.de/congress/2016/Fahrplan/" rel="nofollow">https://fahrplan.events.ccc.de/congress/2016/Fahrplan/</a><br />
<cite><br />
<strong>CCC has opted not to accept any talks by Tor this year, </strong>but there<br />
will be Tor people there. Someone might organize a relay operators<br />
meetup.<br />
<cite><br />
Cheers<br />
Sebastian</cite></cite></cite></cite></p>
<p><a href="https://lists.torproject.org/pipermail/tor-talk/2016-December/042743.html" rel="nofollow">https://lists.torproject.org/pipermail/tor-talk/2016-December/042743.ht…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230115"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230115" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 06, 2017</p>
    </div>
    <a href="#comment-230115">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230115" class="permalink" rel="bookmark">Remember the story from Jul</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Remember the story from Jul 2014 which revealed (via a Snowden leak) that NSA uses XKEYSCORE to track every IP address which connects to a Tor Directory Authority?   (That is currently necessary to connect to the Tor network.)  </p>
<p>At the time, Propublica's star reporters Julia Angwin and Jeff Larson noted NSA's attempt to blunt the PR impact of that revelation:</p>
<p><a href="https://www.propub3r6espa33w.onion/article/heres-one-way-to-land-on-the-nsas-watch-list" rel="nofollow">https://www.propub3r6espa33w.onion/article/heres-one-way-to-land-on-the…</a><br />
Here’s One Way to Land on the NSA’s Watch List<br />
If you downloaded the privacy software Tor in 2011, you may have been flagged to be spied on.<br />
Julia Angwin and Mike Tigas<br />
ProPublica<br />
9 Jul 2014<br />
&gt; ...<br />
&gt; In response to the Tor news, the NSA said it is following President Obama's January directive to not conduct surveillance for the purpose of "suppressing or burdening criticism or dissent, or for disadvantaging persons based on their ethnicity, race, gender, sexual orientation, or religion."</p>
<p>So NSA was claiming they can simultaneously avoid</p>
<p>o over-representing members of any ethnic/racial/etc group in XKEYSCORE "hits"</p>
<p>o increased personal consequences for blacklisting for members of any ethnic/racial/etc group.</p>
<p>But it turns out that this claim is mathematically impossible!  See</p>
<p><a href="https://www.propub3r6espa33w.onion/article/bias-in-criminal-risk-scores-is-mathematically-inevitable-researchers-say" rel="nofollow">https://www.propub3r6espa33w.onion/article/bias-in-criminal-risk-scores…</a><br />
Bias in Criminal Risk Scores Is Mathematically Inevitable, Researchers Say<br />
ProPublica’s analysis of bias against black defendants in criminal risk scores has prompted research showing that the disparity can be addressed — if the algorithms focus on the fairness of outcomes.<br />
Julia Angwin and Jeff Larson<br />
ProPublica<br />
30 Dec 2016</p>
<p>&gt; The racial bias that ProPublica found in a formula used by courts and parole boards to forecast future criminal behavior arises inevitably from the test’s design, according to new research.  The findings were described in scholarly papers published or circulated over the past several months. Taken together, they represent the most far-reaching critique to date of the fairness of algorithms that seek to provide an objective measure of the likelihood a defendant will commit further crimes.<br />
&gt;<br />
&gt; Increasingly, criminal justice officials are using similar risk prediction equations to inform their decisions about bail, sentencing and early release. The researchers found that the formula, and others like it, have been written in a way that guarantees black defendants will be inaccurately identified as future criminals more often than their white counterparts.<br />
&gt; ...<br />
&gt; The problem, several [of the researchers] said in interviews, arises from the characteristic that criminologists have used as the cornerstone for creating fair algorithms, which is that formula must generate equally accurate forecasts for all racial groups. The researchers found that an algorithm crafted to achieve that goal, known as “predictive parity,” inevitably leads to disparities in what sorts of people are incorrectly classified as high risk when two groups have different arrest rates.</p>
<p>This article is part of a series which IMO *every* Tor user should read (because it so brilliantly explains why Everyman needs Tor:</p>
<p><a href="https://www.propub3r6espa33w.onion/series/machine-bias" rel="nofollow">https://www.propub3r6espa33w.onion/series/machine-bias</a></p>
<p>(In case anyone is worried, I like the way you think, but the  onion is Propublica's official onion services mirror of their un-Torified website propublica.org.  Propublica also uses SecureDrop, another software highlighted in the "Tor at the Heart" series.)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230525"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230525" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230115" class="permalink" rel="bookmark">Remember the story from Jul</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230525">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230525" class="permalink" rel="bookmark">&quot;(That is currently</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"(That is currently necessary to connect to the Tor network.) "<br />
Not true.<br />
You can copy state directory from another Tor installation.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-230190"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230190" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 07, 2017</p>
    </div>
    <a href="#comment-230190">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230190" class="permalink" rel="bookmark">HOW DO YOU ENCRYPT THE URL?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>HOW DO YOU ENCRYPT THE URL?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-230252"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230252" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 08, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230190" class="permalink" rel="bookmark">HOW DO YOU ENCRYPT THE URL?</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-230252">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230252" class="permalink" rel="bookmark">Assuming you are asking</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Assuming you are asking about encrypting metadata while browsing.</p>
<p>As I understand, due to fundamental design choices made years ago when http was first created, this is not possible, at least not yet, at least not unless the entire world changes how it does things.</p>
<p>As I understand, the best Tor Project can do right now is to urge operators of websites with content which may be dangerous for some people, such as human rights organizations, to adopt onion services.  This won't entirely hide the metadata which concerns you, but it can possibly make it much harder for "security forces" to deduce that person X may be visiting site Y.</p>
<p>I welcome correction if I got anything wrong!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-232364"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-232364" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 24, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-230252" class="permalink" rel="bookmark">Assuming you are asking</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-232364">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-232364" class="permalink" rel="bookmark">It seems that the new</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It seems that the new Lavabit obfuscates metadata including headers in some fashion.  See the article in The Intercept.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-230203"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230203" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 07, 2017</p>
    </div>
    <a href="#comment-230203">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230203" class="permalink" rel="bookmark">As everyone here will</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As everyone here will recall, FBI has apparently used its NIT malware to attack all onion services, on the assumption that "anyone using an onion service must be up to no good" [sic].  In LEA circles, this principle is called "conciousness of guilt":  Informally: "anyone trying to keep anything private must be up to no good" [sic].</p>
<p>FBI claimed that its targets were child pron producers/consumers.   We claimed that this is and has always been a PR ploy, that FBI's real targets are political dissidents who use Tor.</p>
<p>And when a court ruled that the defense in the Playpen case must be able to inspect the NIT, FBI tacitly admitted that we are correct: it let the defendant walk rather than disclose the NIT:</p>
<p><a href="https://www.techdirt.com/articles/20170106/08320436415/fbi-dismisses-child-porn-prosecution-after-refusing-to-hand-over-details-hacking-tool.shtml" rel="nofollow">https://www.techdirt.com/articles/20170106/08320436415/fbi-dismisses-ch…</a><br />
FBI Dismisses Child Porn Prosecution After Refusing To Hand Over Details On Its Hacking Tool<br />
from the extreme-tactics,-voluntary-dismissals dept<br />
6 Jan 2017</p>
<p>&gt; The FBI has decided to let one of its Playpen defendants walk rather than turn over information on its Network Investigative Technique. The NIT, deployed all over the world on the back of a single warrant obtained in Virginia, unmasked Tor users by dropping code on Playpen visitors' computers that sent back IP addresses and other information about the user's computer. The warrant itself has been ruled invalid by a number of judges presiding over Playpen prosecutions, although not all of them have determined that the evidence obtained by the NIT should be suppressed. The FBI not only sent malware to site visitors, but it also ran (and possibly improved) the child porn website for two weeks while pursuing its investigation.... [FBI] could have voluntarily turned over information to Michaud's defense lawyer for examination, but has chosen instead to let Michaud go free.</p>
<p>IOW, FBI is exhibiting "conciousness of guilt".  Confronted with a question which would have revealed a dirty truth, it took the Fifth.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-230285"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-230285" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 08, 2017</p>
    </div>
    <a href="#comment-230285">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-230285" class="permalink" rel="bookmark">The Retroshare project which</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The Retroshare project which is a globally active networked community of users and developers has been in place for a decade. Over two years ago the community project added client tor socks5 proxy direct ability and followed that by Retroshare Hidden Nodes routed via tor as a Hidden Service. </p>
<p>Many thousands of Retroshare users are now using and embracing Tor to insure their privacy's, security and in many cases their anonymity. Business's, activists and many citizens in various conflict zones around the world are among well established ardent Retroshare users.</p>
<p>A Wiki blog I wrote specifically to help new users setup and route Retroshare regular nodes as a socks5 proxy client as well as Retroshare hidden nodes operating as a tor routed hidden service has been well received and has resulted in a avid group of Retroshare users who use and love the Tor Project. </p>
<p>To better facilitate their interest I created the Tor Chat lobby inside Retroshare, The Tor Forum and Retroshare tor users Retroshare public key exchange forum to further help expand that group of Retroshare users.</p>
<p>I'm interested in working on a Tor at the Heart of Retroshare Blog post. Who would I contact to help make that happen?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-231544"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-231544" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 18, 2017</p>
    </div>
    <a href="#comment-231544">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-231544" class="permalink" rel="bookmark">2 questions
1  Is there any</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>2 questions</p>
<p>1  Is there any plan to cooperate and incorporate the LEAP.VPN project into tor or other openVPN in a box for dummies packaging?  Suspecting the route from user to tor-bridge is problematic and unencrypted wouldn't using a vpn for tor to connect be better?</p>
<p>2  Is adding a dictionary-speller into the tor-browser a security issue?  Is using a system speller over tor-browser better than a firefox add-on?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-231801"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-231801" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  gk
  </article>
    <div class="comment-header">
      <p class="comment__submitted">gk said:</p>
      <p class="date-time">January 20, 2017</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-231544" class="permalink" rel="bookmark">2 questions
1  Is there any</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-231801">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-231801" class="permalink" rel="bookmark">Re 1): No.
Re 2): Adding</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Re 1): No.<br />
Re 2): Adding add-ons to Tor Browser we don't ship is both a potential security issue and a potential fingerprintability problem which is why we are discouraging it. I have not looked at dictionaries in particular but I bet they have at least an update mechanism that is pinging regularly home.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-232367"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-232367" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 24, 2017</p>
    </div>
    <a href="#comment-232367">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-232367" class="permalink" rel="bookmark">Some users have urged Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Some users have urged Tor Project to relocate outside of the USA.  Instead TP moved (it seems) from Cambridge, MA to Seattle, WA.  But bye and bye this may effect the desired change, because the West Coast states are moving towards leaving the USA, possibly to form a new country combining several states (for example, Washington, Oregon, California, and some other former US states and Canadian provinces are discussing forming a new nation which might be called Cascadia or Pacifica).  </p>
<p>Washington state alone would immediately become the foremost nuclear power in the world if it left, so such a move would have all kinds of economic and political implications.</p>
<p>As noted earlier in the comments on another post in this blog, independency is increasingly viewed as an appropriate move by the citizenry of West Coast states, e.g.:</p>
<p><a href="http://thehill.com/blogs/blog-briefing-room/news/315804-more-californians-than-ever-want-state-to-secede-from-us" rel="nofollow">http://thehill.com/blogs/blog-briefing-room/news/315804-more-california…</a><br />
More Californians than ever want to secede from US<br />
Jennifer Calfas<br />
24 Jan 2017</p>
<p>&gt; More Californians are now hoping their state secedes from the United States, a new poll shows. About 32 percent of Californians want to create their own country, a new Reuters/Ipsos poll found, including many Democrats who are frustrated with President Trump’s win. Pollsters surveyed 500 Californians between Dec. 6 and Jan. 19.</p>
<p>For comparison, scholars of the First American Revolution generally agree that the number of colonial citizens who favored independency was about 20%.</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
